Method: advertisers.adGroups.delete

Deletes a AdGroup.

Returns error code NOT_FOUND if the ad group does not exist.

This method is only supported for Demand Gen ad groups.

HTTP request

DELETE https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adGroups/{adGroupId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser this ad group belongs to.

adGroupId

string (int64 format)

Required. The ID of the ad group to delete.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.